Summary:	CVSspam emails you diffs when someone commits a change to your CVS repository
Summary(pl.UTF-8):	CVSspam - wysyłanie różnic po wykonaniu zmiany w repozytorium CVS
Name:		cvsspam
Version:	0.2.12
Release:	15
License:	GPL
Group:		Applications/System
Source0:	http://www.badgers-in-foil.co.uk/projects/cvsspam/releases/%{name}-%{version}.tar.gz
# Source0-md5:	0afa4fbaf1c9edb27385e46337f80f4b
Source1:	%{name}-branch.sh
Patch100:	%{name}-branch.diff
Patch0:		%{name}-textdiff.patch
Patch1:		%{name}-tracfunc.patch
Patch2:		ruby19.patch
Patch3:		ruby19-shadow-outer-var.patch
URL:		http://www.badgers-in-foil.co.uk/projects/cvsspam/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-modules
BuildRequires:	rpm-rubyprov
Requires:	cvs-client
%{?ruby_mod_ver_requires_eq}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/%{name}
%define		_datadir	%{_prefix}/share/%{name}
%define		_libdir		%{_prefix}/lib

%description
CVSspam sends email when a change is committed to the CVS repository.
Syntax-highlighted diffs describe the changes made, and links to Web
frontends on CVS and bug tracking systems are generated where
possible.

%description -l pl.UTF-8
CVSspam wysyła wiadomość po wykonaniu zmiany w repozytorium CVS.
Różnice z podświetlaniem składni opisują wykonane zmiany, a jeśli to
możliwe, generowane są odnośniki do frontendów WWW do CVS i systemów
śledzenia błędów.

%prep
%setup -q
rm svn_post_commit_hook.rb
%patch100 -p0
%patch0 -p0
%patch1 -p1
%patch2 -p1
%patch3 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_datadir},%{_sysconfdir}}
install -p {collect_diffs,cvsspam,record_lastdir}.rb $RPM_BUILD_ROOT%{_datadir}
cp -a cvsspam.conf $RPM_BUILD_ROOT%{_sysconfdir}

# svn part
install -p svn_post_commit_hook.rb $RPM_BUILD_ROOT%{_datadir}

# compat
ln -s %{_datadir} $RPM_BUILD_ROOT%{_libdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

# make compat symlink, the symlink is discarded using %ghost on package uninstall
%triggerpostun -- cvsspam < 0.2.11-5.3
# need rmdir, because the path belongs to new package (is %ghosted) and therefore is not removed by rpm
rmdir %{_libdir}/%{name} 2>/dev/null || mv -v %{_libdir}/%{name}{,.rpmsave}
ln -s %{_datadir} %{_libdir}/%{name}
%banner %{name} -e <<EOF
NOTE:
The cvsspam programs have been moved to %{_datadir}.
I've created compat symlink so you don't feel so much pain of that.

EOF

%files
%defattr(644,root,root,755)
%doc CREDITS TODO cvsspam-doc.pdf cvsspam-doc.html
%dir %{_sysconfdir}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/cvsspam.conf
%dir %{_datadir}
%attr(755,root,root) %{_datadir}/*.rb

%ghost %{_libdir}/%{name}
%changelog
* Sun Jul 20 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cvsspam.git;a=log;h=master

* Sun Jul 20 2014 Elan Ruusamäe <glen@delfi.ee> b50c46c
- ruby 2.0 rebuild
- release 15 (by relup.sh)

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 40f465d
- fixed branch diff
- rel 14

* Wed Oct 19 2011 Elan Ruusamäe <glen@pld-linux.org> 29165a4
- R ruby-modules for ruby_mod_ver_requires_eq macro

* Fri Jun 18 2010 Elan Ruusamäe <glen@pld-linux.org> b5ae0db
- set default users charset utf-8 not nil, as we always need charset to recode

* Fri Jun 18 2010 Elan Ruusamäe <glen@pld-linux.org> 8396364
- updated branch.diff

* Fri Jun 18 2010 Elan Ruusamäe <glen@pld-linux.org> 9cfe021
- shadow outer var fix

* Wed Apr 07 2010 Elan Ruusamäe <glen@pld-linux.org> 23914c1
- ruby19 fix on users file encoding reading

* Wed Apr 07 2010 Elan Ruusamäe <glen@pld-linux.org> 011d670
- fix $tracProjects var init

* Tue Mar 02 2010 Elan Ruusamäe <glen@pld-linux.org> bfb007a
- recover tracsub patch, rel 12

* Tue Mar 02 2010 Elan Ruusamäe <glen@pld-linux.org> ea6a749
- old patch recovered (2009-04-23)

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 634c5af
- drop obsolete files

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> 426191d
- trac url can't be resolved so early

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> 20c31d4
- trac can be also svnweb not just tickets system

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> 00972bc
- must rm old svn_post_commit_hook.rb or patching goes crazy

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> 96c01d1
- svn support merged to trunk

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> f561a58
- updated branch diff (patches merged)

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> db637a0
- applied

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> d895f97
- updated

* Thu Apr 23 2009 Elan Ruusamäe <glen@pld-linux.org> df4be45
- merged

* Thu Mar 05 2009 Elan Ruusamäe <glen@pld-linux.org> ca77e89
- up to r269

